﻿//XBee API mode test with send_api
//aoi shimada aoi480nm@gmail.com 2011-11-03 
//aoi shimada aoiimomushi@gmail.com 2013-02-26 
//Test application of datasend_api for XBee S2 data transfer
//Copyright (c)  2013 aoi shimada aoi480nm@gmail.com

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.IO.Ports;

//XBee API mode test with send_api
//aoi shimada aoi480nm@gmail.com 2011-11-03 
//aoi shimada aoiimomushi@gmail.com 2013-02-26 
//Test application of datasend_api for XBee S2 data transfer
//Copyright (c)  2013 aoi shimada aoi480nm@gmail.com

//datasend_api
using datasend_api;

namespace datasend_test_form
{
    public partial class Form1 : Form
    {

        SerialPort port;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Text = "datasend_test_form";
        }

        private void btnOpen_Click(object sender, EventArgs e)
        {

            string prt = this.txtPrt.Text;
            try
            {
                //Port setup is required to satisfy the serial settings
                //of your XBee module.  
                //For example----
                port = new SerialPort(prt, 9600);
                port.Parity = Parity.None;
                port.StopBits = StopBits.One;
                port.Handshake = Handshake.None;
                port.DtrEnable = false;
                port.RtsEnable = false;
                //----Example

                port.Open();
            }
            catch (Exception d) { ; }
        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            int i;
            string str = this.txtData.Text;
            char[] dat = str.ToCharArray();

            string addressH=this.txtH.Text;
            string addressL=this.txtL.Text;

            //Construct an instance of send_api 
            send_api myapi = new send_api(port);

            //Send the test data over api_mode of XBee            
            myapi.datasend(addressH, addressL, dat);
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            try
            {
                port.Close();
            }
            catch (Exception d) { ; }
        }

        private void btnAbout_Click(object sender, EventArgs e)
        {
            AboutBox1 about = new AboutBox1();
            about.Show();
        }
    }
}
